from fastapi import APIRouter
from fastapi.responses import JSONResponse

from src.financial_reports.schemas import *
from src.financial_reports.service import *
from src.responses import response_list_response

financial_reports_router = APIRouter()

@financial_reports_router.post("/query")
async def financial_repoets_query(request: FinancialReportQuery )-> JSONResponse:
    """
    搜索接口
    """
    result = await financial_reports_query_service(request)

    return result

@financial_reports_router.post("/keyword-search")
async def financial_repoets_query_keyword_search(query: SearchKeywordQuery) -> list:
    """
    模糊查询接口
    """
    result = await user_keyword_search_service(query.searchKeyword)

    # 使用封装类返回列表响应
    return response_list_response(data=result, message="联想词查询成功")