from tortoise import fields, Model

class FinancialReport (Model):
    """
    财报数据
    """
    id = fields.IntField(pk=True, description="自增主键")  # 自增主键
    date = fields.DateField(description="日期")  # 日期
    period = fields.CharField(max_length=50, description="报告期")  # 报告期
    year = fields.IntField(description="年份")  # 年份
    stock_code =   fields.CharField(max_length=10, description="股票代码")  # 股票代码
    stock_name = fields.CharField(max_length=50, description="股票名称")  # 股票名称
    industry_code = fields.CharField(max_length=10, null=True, description="行业代码")  # 行业代码
    industry_name = fields.CharField(max_length=50, null=True, description="行业名称")  # 行业名称
    pdf_name = fields.CharField(max_length=100, null=True, description="PDF 报告名称")  # PDF 报告名称
    pdf_url = fields.CharField(max_length=255, null=True, description="PDF 报告链接")  # PDF 报告链接
    revenue = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="收入")  # 收入
    revenue_yoy = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="收入同比增长")  # 收入同比增长
    pr_of_today = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="今日涨跌幅")  # 今日涨跌幅
    pr_of_after_1_day = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="次日涨跌幅")  # 次日涨跌幅
    pr_of_after_1_week = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="一周后涨跌幅")  # 一周后涨跌幅
    pr_of_after_1_month = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="一月后涨跌幅")  # 一月后涨跌幅
    pr_of_after_6_month = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="六个月后涨跌幅")  # 六个月后涨跌幅
    pr_of_that_year = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="年初至今涨跌幅")  # 年初至今涨跌幅
    nincome_yoy_lower_limit = fields.CharField(max_length=10, null=True, description="净利润同比增长下限")  # 净利润同比增长下限
    nincome_yoy_upper_limit = fields.CharField(max_length=10, null=True, description="净利润同比增长上限")  # 净利润同比增长上限
    nincome = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="净利润")  # 净利润
    nincome_yoy = fields.DecimalField(max_digits=15, decimal_places=2, null=True, description="净利润同比增长率")  # 净利润同比增长率
    created_at = fields.DatetimeField(auto_now_add=True, description="创建时间")  # 创建时间，自动生成当前时间

    class Meta:
        table = "financial_reports"
