from tortoise import fields, Model

"""
待补全每日更新表的爬虫
"""

class StockHuShenJingA(Model):
    """
    沪深京 A 股实时行情数据
    """
    seq = fields.IntField(description="序号")  # 序号
    code = fields.CharField(max_length=10, description="股票代码")  # 股票代码
    name = fields.CharField(max_length=50, description="股票名称")  # 股票名称
    latest_price = fields.FloatField(null=True, description="最新价格")  # 最新价格
    change_percent = fields.FloatField(null=True, description="涨跌幅")  # 涨跌幅
    change_amount = fields.FloatField(null=True, description="涨跌额")  # 涨跌额
    volume = fields.FloatField(null=True, description="成交量")  # 成交量
    turnover = fields.FloatField(null=True, description="成交额")  # 成交额
    amplitude = fields.FloatField(null=True, description="振幅")  # 振幅
    high = fields.FloatField(null=True, description="最高价")  # 最高价
    low = fields.FloatField(null=True, description="最低价")  # 最低价
    open = fields.FloatField(null=True, description="今开价")  # 今开价
    previous_close = fields.FloatField(null=True, description="昨收价")  # 昨收价
    volume_ratio = fields.FloatField(null=True, description="量比")  # 量比
    turnover_rate = fields.FloatField(null=True, description="换手率")  # 换手率
    pe_dynamic = fields.FloatField(null=True, description="市盈率-动态")  # 市盈率-动态
    pb = fields.FloatField(null=True, description="市净率")  # 市净率
    total_market_value = fields.FloatField(null=True, description="总市值")  # 总市值
    circulating_market_value = fields.FloatField(null=True, description="流通市值")  # 流通市值
    rise_speed = fields.FloatField(null=True, description="涨速")  # 涨速
    five_minute_change = fields.FloatField(null=True, description="5分钟涨跌幅")  # 5分钟涨跌幅
    sixty_day_change = fields.FloatField(null=True, description="60日涨跌幅")  # 60日涨跌幅
    year_to_date_change = fields.FloatField(null=True, description="年初至今涨跌幅")  # 年初至今涨跌幅

    class Meta:
        table = "stock_hu_shen_jing_a"