from pypinyin import lazy_pinyin, Style
from src.models.stock import Stock

async def generate_pinyin_abbreviation():
    """
    更新数据库中所有股票记录的拼音缩写，如果字段为空则生成并保存。,待抽象为通用组件
    """
    stocks = await Stock.filter(stock_pinyin__isnull=True)  # 查找拼音字段为空的记录
    for stock in stocks:
        if stock.stock_name:  # 确保股票名称存在
            # 将每个汉字的第一个字母转为小写，并合并为拼音缩写
            stock.stock_pinyin = ''.join(lazy_pinyin(stock.stock_name, style=Style.FIRST_LETTER)).lower()
            await stock.save()  # 保存拼音缩写到数据库
        print("拼音更新完成")
