"""
    判断关键词类的工具类，选中第一个字符做判断
"""
def identify_keyword_type_simple(keyword: str) -> str:
    if not keyword:
        return "unknown"  # 如果字符串为空，返回 "unknown"

    first_char = keyword[0]

    # 判断第一个字符
    if '\u4e00' <= first_char <= '\u9fa5':  # 汉字
        return "chinese"
    elif first_char.isalpha():  # 字母
        return "pinyin"
    elif first_char.isdigit():  # 数字
        return "code"
    else:
        return "unknown"

